C#
using Gr4vy;
using Gr4vy.Models.Components;
using System.Collections.Generic;
var sdk = new Gr4vySDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.PaymentServiceDefinitions.SessionAsync(
paymentServiceDefinitionId: "adyen-ideal",
requestBody: new Dictionary<string, object>() {
}
);
// handle responsepackage main
import(
"context"
"os"
gr4vygo "github.com/gr4vy/gr4vy-go"
"log"
)
func main() {
ctx := context.Background()
s := gr4vygo.New(
gr4vygo.WithSecurity(os.Getenv("GR4VY_BEARER_AUTH")),
)
res, err := s.PaymentServiceDefinitions.Session(ctx, "adyen-ideal", map[string]any{
})
if err != nil {
log.Fatal(err)
}
if res != nil {
// handle response
}
}package hello.world;
import java.lang.Exception;
import java.util.Map;
import com.gr4vy.sdk.BearerSecuritySource;
import com.gr4vy.sdk.Gr4vy;
import com.gr4vy.sdk.Gr4vy.AvailableServers;
import org.openapis.openapi.models.errors.*;
import org.openapis.openapi.models.operations.CreatePaymentServiceDefinitionSessionResponse;
public class Application {
public static void main(String[] args) throws Exception {
Gr4vy sdk = Gr4vy.builder()
.bearerAuth("<YOUR_BEARER_TOKEN_HERE>")
.build();
CreatePaymentServiceDefinitionSessionResponse res = sdk.paymentServiceDefinitions().session()
.paymentServiceDefinitionId("adyen-ideal")
.requestBody(Map.ofEntries(
))
.call();
if (res.createSession().isPresent()) {
// handle response
}
}
}declare(strict_types=1);
require 'vendor/autoload.php';
use Gr4vy;
$sdk = Gr4vy\SDK::builder()
->setSecurity(
'<YOUR_BEARER_TOKEN_HERE>'
)
->build();
$response = $sdk->paymentServiceDefinitions->session(
paymentServiceDefinitionId: 'adyen-ideal',
requestBody: [
]
);
if ($response->createSession !== null) {
// handle response
}from gr4vy import Gr4vy
import os
with Gr4vy(
bearer_auth=os.getenv("GR4VY_BEARER_AUTH", ""),
) as g_client:
res = g_client.payment_service_definitions.session(payment_service_definition_id="adyen-ideal", request_body={
})
# Handle response
print(res)import { Gr4vy } from "@gr4vy/sdk";
const gr4vy = new Gr4vy({
bearerAuth: process.env["GR4VY_BEARER_AUTH"] ?? "",
});
async function run() {
const result = await gr4vy.paymentServiceDefinitions.session({
}, "adyen-ideal");
console.log(result);
}
run();{
"type": "payment-service-session",
"code": "UNKNOWN_ERROR",
"status_code": 201,
"response_body": {
"sessionId": "12345"
}
}{
"type": "error",
"code": "bad_request",
"status": 400,
"message": "Generic error",
"details": []
}{
"type": "error",
"code": "unauthorized",
"status": 401,
"message": "No valid API authentication found",
"details": []
}{
"type": "error",
"code": "forbidden",
"status": 403,
"message": "Generic error",
"details": []
}{
"type": "error",
"code": "not_found",
"status": 404,
"message": "The resource could not be found",
"details": []
}{
"type": "error",
"code": "method_not_allowed",
"status": 405,
"message": "Method Not Allowed",
"details": []
}{
"type": "error",
"code": "duplicate_record",
"status": 409,
"message": "Generic error",
"details": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"type": "error",
"code": "too_early",
"status": 425,
"message": "Generic error",
"details": []
}{
"type": "error",
"code": "too_many_requests",
"status": 429,
"message": "Generic error",
"details": []
}{
"type": "error",
"code": "server_error",
"status": 500,
"message": "Request could not be processed",
"details": []
}{
"type": "error",
"code": "bad_gateway",
"status": 502,
"message": "Request could not be processed",
"details": []
}{
"type": "error",
"code": "gateway_timeout",
"status": 504,
"message": "Request could not be processed",
"details": []
}Create a session for apayment service definition
Creates a session for a payment service that supports sessions.
POST
/
payment-service-definitions
/
{payment_service_definition_id}
/
sessions
C#
using Gr4vy;
using Gr4vy.Models.Components;
using System.Collections.Generic;
var sdk = new Gr4vySDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.PaymentServiceDefinitions.SessionAsync(
paymentServiceDefinitionId: "adyen-ideal",
requestBody: new Dictionary<string, object>() {
}
);
// handle responsepackage main
import(
"context"
"os"
gr4vygo "github.com/gr4vy/gr4vy-go"
"log"
)
func main() {
ctx := context.Background()
s := gr4vygo.New(
gr4vygo.WithSecurity(os.Getenv("GR4VY_BEARER_AUTH")),
)
res, err := s.PaymentServiceDefinitions.Session(ctx, "adyen-ideal", map[string]any{
})
if err != nil {
log.Fatal(err)
}
if res != nil {
// handle response
}
}package hello.world;
import java.lang.Exception;
import java.util.Map;
import com.gr4vy.sdk.BearerSecuritySource;
import com.gr4vy.sdk.Gr4vy;
import com.gr4vy.sdk.Gr4vy.AvailableServers;
import org.openapis.openapi.models.errors.*;
import org.openapis.openapi.models.operations.CreatePaymentServiceDefinitionSessionResponse;
public class Application {
public static void main(String[] args) throws Exception {
Gr4vy sdk = Gr4vy.builder()
.bearerAuth("<YOUR_BEARER_TOKEN_HERE>")
.build();
CreatePaymentServiceDefinitionSessionResponse res = sdk.paymentServiceDefinitions().session()
.paymentServiceDefinitionId("adyen-ideal")
.requestBody(Map.ofEntries(
))
.call();
if (res.createSession().isPresent()) {
// handle response
}
}
}declare(strict_types=1);
require 'vendor/autoload.php';
use Gr4vy;
$sdk = Gr4vy\SDK::builder()
->setSecurity(
'<YOUR_BEARER_TOKEN_HERE>'
)
->build();
$response = $sdk->paymentServiceDefinitions->session(
paymentServiceDefinitionId: 'adyen-ideal',
requestBody: [
]
);
if ($response->createSession !== null) {
// handle response
}from gr4vy import Gr4vy
import os
with Gr4vy(
bearer_auth=os.getenv("GR4VY_BEARER_AUTH", ""),
) as g_client:
res = g_client.payment_service_definitions.session(payment_service_definition_id="adyen-ideal", request_body={
})
# Handle response
print(res)import { Gr4vy } from "@gr4vy/sdk";
const gr4vy = new Gr4vy({
bearerAuth: process.env["GR4VY_BEARER_AUTH"] ?? "",
});
async function run() {
const result = await gr4vy.paymentServiceDefinitions.session({
}, "adyen-ideal");
console.log(result);
}
run();{
"type": "payment-service-session",
"code": "UNKNOWN_ERROR",
"status_code": 201,
"response_body": {
"sessionId": "12345"
}
}{
"type": "error",
"code": "bad_request",
"status": 400,
"message": "Generic error",
"details": []
}{
"type": "error",
"code": "unauthorized",
"status": 401,
"message": "No valid API authentication found",
"details": []
}{
"type": "error",
"code": "forbidden",
"status": 403,
"message": "Generic error",
"details": []
}{
"type": "error",
"code": "not_found",
"status": 404,
"message": "The resource could not be found",
"details": []
}{
"type": "error",
"code": "method_not_allowed",
"status": 405,
"message": "Method Not Allowed",
"details": []
}{
"type": "error",
"code": "duplicate_record",
"status": 409,
"message": "Generic error",
"details": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"type": "error",
"code": "too_early",
"status": 425,
"message": "Generic error",
"details": []
}{
"type": "error",
"code": "too_many_requests",
"status": 429,
"message": "Generic error",
"details": []
}{
"type": "error",
"code": "server_error",
"status": 500,
"message": "Request could not be processed",
"details": []
}{
"type": "error",
"code": "bad_gateway",
"status": 502,
"message": "Request could not be processed",
"details": []
}{
"type": "error",
"code": "gateway_timeout",
"status": 504,
"message": "Request could not be processed",
"details": []
}This endpoint requires the
transactions.write scope.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"adyen-ideal"
Body
application/json
The JSON payload to sent to the payment service's session API.
Response
Successful Response
The session data received from the payment service.
The status of the response.
Available options:
succeeded, failed Example:
"succeeded"
Always payment-service-session.
Allowed value:
"payment-service-session"Example:
"payment-service-session"
A generic error code that may be returned when the session could not be generated.
Example:
"UNKNOWN_ERROR"
The HTTP status code received from the payment service.
Example:
201
The JSON response body received from the payment service.
Example:
{ "sessionId": "12345" }
Was this page helpful?
⌘I